Bug 246861 - graphics/openimageio: Update to v2.2.6.1
Summary: graphics/openimageio: Update to v2.2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-30 08:33 UTC by Shane
Modified: 2020-09-20 20:02 UTC (History)
1 user (show)

See Also:


Attachments
maintainer update for graphics/openimageio (2.23 KB, patch)
2020-05-30 08:33 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update for graphics/openimageio (5.77 KB, patch)
2020-09-06 07:10 UTC, Shane
no flags Details | Diff
maintainer update for graphics/openimageio (6.49 KB, patch)
2020-09-14 03:17 UTC, Shane
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2020-05-30 08:33:53 UTC
Created attachment 215044 [details]
maintainer update for graphics/openimageio

adjust graphics/openimageio
Add PTEX option - on by default.
Previous versions included ptex source files, the project now uses external pre-built libraries instead.
Sort LIB_DEPENDS
Remove CONFLICTS, fbm port was removed some years ago.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-05-30 08:38:51 UTC
If its possible to pass (ptex) include/lib paths via CMAKE_* or other Makefile (MAKE_*, CONFIGURE_*, etc) variables, this is preferable to a source patch
Comment 2 Shane 2020-05-30 09:08:44 UTC
I do think it should be possible, but I couldn't get it to work, patching the search paths was the only way I could get it to find the include.

The problem falls into it not checking for existing variables, the PTEX_INCLUDE_DIR is always set using find_path(), overriding any passed values.

https://github.com/OpenImageIO/oiio/blob/master/src/cmake/modules/FindPTex.cmake

Also I install ptex headers into include/ptex while using include/wdas seems a more popular choice, that is what causes the existing search paths to fail, as even passing PTEX_LOCATION gets appended to, which ends up as /usr/local/include/wdas

While I could adjust ptex to use a wdas folder, the better option is to make the oiio search more flexible.
Comment 3 Automation User 2020-05-30 10:55:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/151149439
Comment 4 Shane 2020-09-06 07:10:32 UTC
Created attachment 217781 [details]
maintainer update for graphics/openimageio

Update graphics/openimageio to v2.2.6.1
Includes previous addition of PTEX option
Remove conflict line as port was deleted some time ago.
Comment 5 Shane 2020-09-14 03:17:27 UTC
Created attachment 217940 [details]
maintainer update for graphics/openimageio

Adjust to fix building python module in slave port
Comment 6 commit-hook freebsd_committer 2020-09-20 20:00:44 UTC
A commit references this bug:

Author: swills
Date: Sun Sep 20 20:00:18 UTC 2020
New revision: 549390
URL: https://svnweb.freebsd.org/changeset/ports/549390

Log:
  graphics/openimageio: Update to v2.2.6.1

  PR:		246861
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer)

Changes:
  head/graphics/openimageio/Makefile
  head/graphics/openimageio/distinfo
  head/graphics/openimageio/files/patch-src_cmake_modules_FindPTex.cmake
  head/graphics/openimageio/pkg-plist
Comment 7 Steve Wills freebsd_committer 2020-09-20 20:02:14 UTC
Committed, thanks!